curl --request GET \
--url https://platform.versori.com/api/v2/o/{organisation_id}/systems/{system_id}/triggers \
--header 'Authorization: Bearer <token>'{
"totalCount": 123,
"triggers": [
{
"id": "<string>",
"systemId": "<string>",
"name": "<string>",
"description": "<string>",
"summary": "<string>",
"type": "http",
"method": "GET",
"parameters": [
{
"name": "<string>",
"in": "path",
"required": true,
"type": "string",
"default": "<string>"
}
]
}
],
"next": "<string>",
"prev": "<string>"
}ListSystemTriggers returns a list of all the triggers for the given system.
If the project_id query parameter is provided, this endpoint will only return triggers that are being used
in that project.
curl --request GET \
--url https://platform.versori.com/api/v2/o/{organisation_id}/systems/{system_id}/triggers \
--header 'Authorization: Bearer <token>'{
"totalCount": 123,
"triggers": [
{
"id": "<string>",
"systemId": "<string>",
"name": "<string>",
"description": "<string>",
"summary": "<string>",
"type": "http",
"method": "GET",
"parameters": [
{
"name": "<string>",
"in": "path",
"required": true,
"type": "string",
"default": "<string>"
}
]
}
],
"next": "<string>",
"prev": "<string>"
}Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.